Update tenant settings
PATCH
/v1/tenant
const url = 'https://api.fromenance.com/v1/tenant';const options = { method: 'PATCH', headers: { cookie: 'fromenance.session_token=<fromenance.session_token>', 'Content-Type': 'application/json' }, body: '{"name":"example","reply_mode":"minimal","reply_from_name":"example","reply_domain_id":"example","fraud_contact":"example","verify_page_url":"https://example.com","branding":{"logoUrl":"https://example.com","accent":"example","displayName":"example","supportUrl":"https://example.com"},"match_threshold":1,"retention_days":1,"expected_daily_volume":1}'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request PATCH \ --url https://api.fromenance.com/v1/tenant \ --header 'Content-Type: application/json' \ --cookie fromenance.session_token=<fromenance.session_token> \ --data '{ "name": "example", "reply_mode": "minimal", "reply_from_name": "example", "reply_domain_id": "example", "fraud_contact": "example", "verify_page_url": "https://example.com", "branding": { "logoUrl": "https://example.com", "accent": "example", "displayName": "example", "supportUrl": "https://example.com" }, "match_threshold": 1, "retention_days": 1, "expected_daily_volume": 1 }'Authoritative Mode and plan are read only here; a backoffice operator sets them.
Authorizations
Section titled “Authorizations”Request Body
Section titled “Request Body”Media typeapplication/json
object
name
string
reply_mode
string
reply_from_name
string
reply_domain_id
string | null
fraud_contact
string
verify_page_url
string format: uri
branding
object
logoUrl
string format: uri
accent
string
displayName
string
supportUrl
string format: uri
match_threshold
integer
retention_days
integer
expected_daily_volume
integer | null
Responses
Section titled “ Responses ”Tenant
Media typeapplication/json
object
id
required
string
slug
required
string
name
required
string
plan
required
string
status
required
string
authoritative_mode
required
boolean
authoritative_since
required
string | null
retention_days
required
integer
reply_from_name
required
string | null
reply_domain_id
required
string | null
fraud_contact
required
string | null
verify_page_url
required
string | null
verify_address
required
string
journal_address
required
string
minimal_reply_address
required
string
branding
required
object
key
additional properties
match_threshold
required
integer
sandbox
required
boolean
expected_daily_volume
required
integer | null
created_at
required
string
Example
{ "reply_mode": "minimal"}Forbidden
Media typeapplication/problem+json
object
type
required
string
title
required
string
status
required
integer
detail
string
instance
string
errors
Present on validation problems.
Array<object>
object
path
required
string
message
required
string
request_id
string
Example
{ "type": "https://docs.fromenance.com/api/errors#validation", "title": "Validation failed", "status": 400, "detail": "recipient_hash must start with hmac-sha256:", "instance": "/v1/communications"}